Subject: bug#32336: herd stop mcron yields instant shutdown of computer

From: Tonton <[email-masked]>
Date: Wed, 1 Aug 2018 01:51:31 +0200

I attempted to reproduce the bug in a minimal-ish vm. First I ran guix pull
--commit=48d7ac175f69fea587eaa0358eddb5c76205e8ad (the same as the previous
generation where this occured) Then I built the following config as a vm:

(add-to-load-path "/home/ton/guixsd/modules/")
(setenv "GUIX_PACKAGE_PATH" "/home/ton/guixsd/modules/:$GUIX_PACKAGE_PATH")
(use-modules (gnu)
             (gnu system)
             (gnu tests)
             (guix monads)
             (guix store)
             (ice-9 rdelim)
             (srfi srfi-1))

(use-service-modules networking mcron)

(use-package-modules search)

(define updatedb-job
  #~(job '(next-hour '(3))
         (lambda ()
           (execl (string-append #$findutils "/bin/updatedb")
                  "updatedb"
                  "--prunepaths=/tmp /var/tmp /gnu/store"))
         "Updatedb!"))

(define %mcron-os
  (simple-operating-system
   (dhcp-client-service)
   (mcron-service (list updatedb-job))))

%mcron-os

When booted I log in as root, check mcron is running, then stop it. And it
behaves as expected.

So, as of now I have not been able to reproduce my own bug. I experienced it
twice some hours ago, but after running a guix pull and a reconfigure it is
gone AFAIK.